
/************   Password.c   ************/

#include <Events.h>
#include <ToolUtils.h>
#include <ShutDown.h>
#include <OSUtils.h>


#define REMOVE_ALL_EVENTS	0
#define NIL_POINTER			0L
#define SLEEP				0L
#define NIL_MOUSE_REGION	0L

#define NUL	'\0'
#define RET '\r'


char UpCase( char ch );
Boolean Key();

	
EventRecord		gTheEvent;
Boolean			gDone;

int				pIndex = 0;
char			pString[] = "FRYEFISH";		/* password value */



/************   main   ************/

main()
{
	ToolBoxInit();
	CursInit();
	
	MainLoop();
	
}


/************  ToolBoxInit   ***********/

ToolBoxInit()
{
	InitGraf( &thePort);
	InitFonts();
	FlushEvents( everyEvent, REMOVE_ALL_EVENTS );
	InitWindows();
	InitMenus();
	TEInit();
	InitDialogs( NIL_POINTER );
	InitCursor();
	
}


/************  CursInit   ***********/

CursInit()
{		 	    
    Cursor			watchCrsr;
    CursHandle		cursH;

	cursH = GetCursor( watchCursor );	/* from ToolUtils.h */
	watchCrsr = **cursH;
	
	SetCursor( &watchCrsr );
		 	    
}



/************  MainLoop   ***********/
		
MainLoop()
{
	gDone = FALSE;
	while ( gDone == FALSE)
	{
		if ( Button() )
		{
			gDone = TRUE;
			SetCursor( &arrow );
			ShutDwnPower();
		}
		else if ( Key() )
			HandleKeyEvent();	
	}
	
}


/************  Key   ***********/
	
Boolean Key()
{
	unsigned char km[16];
	int i;
	
	GetKeys( (long *) km );
	for (i = 0; i < 16; ++i)
		if ( km[i] != 0 )
			return TRUE;
	
	return FALSE; 
}


/************  HandleKeyEvent   ***********/
	
HandleKeyEvent()
{
	WaitNextEvent( keyDownMask, &gTheEvent, SLEEP, NIL_MOUSE_REGION );
	if ( gTheEvent.what == keyDown )
		CheckPassword();
	
}


/************  CheckPassword   ***********/
	
CheckPassword()
{	
	char	ch;
	
	ch = UpCase( (char) (gTheEvent.message & charCodeMask) );
	if (ch == RET) 
		ch = NUL;  
	
	if (ch == pString[pIndex])
	{
		++pIndex; 
	   	if (ch == NUL)
	   	{
			gDone = TRUE;
			SetCursor( &arrow );
		}
	}
	else
	{ 
	    pIndex = 0;
	    if (ch == NUL)
	    	SysBeep(20); 
	}
	
}


/************  UpCase   **********/
	
char UpCase( char ch )
{	
	if ( (ch >= 'a') && (ch <= 'z') )
		ch = ch + 'A' - 'a';
	return ch;
	
}

