/******************************************************************************
 CFileWndBox.h

 Interface for the FileWndBox Class
		
 Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.

 ******************************************************************************/
 
#pragma once

#include "CPane.h"					/* Interface for its superclass		*/


struct CFileWndBox : CPane {		/* Class Declaration				*/


				/* Symbol code */
	short		itsSymCode;
	
	
				/* Initialization */
	void		IFileWndBox(CView *anEnclosure, CBureaucrat *aSupervisor,
								short aWidth, short aHeight,
								short aHEncl, short aVEncl,
								SizingOption aHSizing, SizingOption aVSizing);
	
				/* Drawing */
	void		Draw(Rect *area);
	void		Update(short symCode);
	
				/* Memory */
	void		Dispose(void);
};