/*****
 * CSymEditApp.h
 *
 *	Application class for the SignWriter symbol editor.
 *
 *  Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
 *
 *****/

#pragma	once		/* Include this file only once */


#include <CApplication.h>


struct CSymEditApp : CApplication {

	/* No instance variables */

	void	ISymEditApp(void);
	void	SetUpFileParameters(void);
    
    void    UpdateMenus(void); 

	void	DoCommand(long theCommand);

	void	CreateDocument(void);
	void	OpenDocument(SFReply *macSFReply);
};
