/******************************************************************************
 CArtClassApp.h

		Interface for the ArtClass Application Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/
 
#define _H_CArtClassApp

#include <CApplication.h>				/* Interface for its superclass		*/
#include "CToolsDir.h"
#include "CPatternsDir.h"

struct CArtClassApp : CApplication {	/* Class Declaration				*/
								/** Instance Variables **/
	CToolsDir		*itsToolsDir;		/* Tear-off Tools menu				*/
	CPatternsDir	*itsPatsDir;		/* Tear-off Patterns menu			*/
	
								/** Instance Methods **/
	void		IArtClassApp(void);
	void		MakeDesktop(void);
	void		SetUpFileParameters(void);
	void		SetUpMenus(void);
	void		DoCommand(long theCommand);
	void		UpdateMenus(void);
	void		CreateDocument(void);
	void		OpenDocument(SFReply *macReply);
	void		SwitchToDA(void);
	void		SwitchFromDA(void);
};