/******************************************************************************
 CPaintTask.h

		Interface for the PaintTask Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CPaintTask

#include <CMouseTask.h>					/* Interface for its superclass		*/
#include <CBitMap.h>
#include "CPaintPane.h"
#include "LongQD.h"

struct CPaintTask : CMouseTask {		/* Class Declaration				*/
								/** Instance Variables **/
	CPaintPane	*itsPaintPane;
	CBitMap		*itsPainting;
	CBitMap		*itsUndoBits;

								/** Instance Methods **/
									/** Contruction/Destruction **/
	void		IPaintTask(short aNameIndex, CPaintPane *aPaintPane,
								CBitMap *aPainting);
	void		Dispose(void);
	
	void		Undo(void);
	void		SaveForUndo(LongRect *undoRect);
};