/******************************************************************************
 CRadioGroupPane.h

		Interface for the CRadioGroupPane Class
		
		Copyright  1991 Symantec Corporation. All rights reserved.
		
	
 ******************************************************************************/

#define _H_CRadioGroupPane

#include "CPane.h"

class CRadioControl;

class CRadioGroupPane : public CPane
{
public:
	
	void IRadioGroupPane( CView *anEnclosure, CBureaucrat *aSupervisor,
					short aWidth, short aHeight, short aHEncl, short aVEncl,
					SizingOption aHSizing, SizingOption aVSizing);
					
	virtual void	IViewTemp(CView *anEnclosure, CBureaucrat *aSupervisor,
						Ptr viewData);

	virtual void ProviderChanged( CCollaborator *aProvider, long reason, void* info);
	
	virtual void SetStationID( long aStationID);
	virtual long GetStationID( void);

protected:

	CRadioControl *currentStation;

};