/******************************************************************************
 CTask.h

		Interface for the Task Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.

	TCL 1.1 CHANGES
	[
		- added undone instance variable and IsUndone method.
	]
		
 ******************************************************************************/
 
#define _H_CTask

#include "CObject.h"					/* Interface for its superclass		*/

class CTask : public CObject {			/* Class Declaration				*/

public:
								/** Instance Variables **/
	short		nameIndex;				/* Index for name in string list	*/
	Boolean		undone;
	
								/** Instance Methods **/
	void		ITask(short aNameIndex);
	
	virtual short		GetNameIndex(void);

	virtual void		Do(void);
	virtual void		Undo(void);
	virtual void		Redo(void);
	
	virtual Boolean		IsUndone( void);
};