/******************************************************************************
 CStyleText.h

		Interface for the StyleText Class
		
		Copyright  1991 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CStyleText

#include "CEditText.h"

class CScrollPane;

class CStyleText : public CEditText 
{
public:

	void		IStyleText(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							short aLineWidth);
	virtual void		IViewTemp(CView *anEnclosure, CBureaucrat *aSupervisor,
							Ptr viewData);
	virtual void		SetScrollPane( CScrollPane *aScrollPane);
	virtual void		PerformEditCommand( long theCommand);
	virtual void		InsertWithStyles( Ptr text, long length, StScrpHandle styles);
	virtual StScrpHandle GetStyleScrap( void);
	virtual void		SetStyleScrap( long rangeStart, long rangeEnd, 
							StScrpHandle styleScrap, Boolean redraw);
	virtual void		SetFontNumber(short aFontNumber);
	virtual void		SetFontStyle(short aStyle);
	virtual void		SetFontSize(short aSize);
	virtual void		SetStyle( short mode, TextStyle *newStyle, Boolean redraw);	
	virtual void		SetSpacingCmd( long aSpacingCmd);

	virtual void 		AdjustBounds( void);

protected:
						
	void		IStyleTextX( void);
	virtual void		MakeMacTE( void);
	virtual CTextEditTask *MakeEditTask( long editCmd);
	virtual CTextStyleTask *MakeStyleTask( long styleCmd);

};
