/******************************************************************************
 CImgWndTask.h

		Interface for the ImgWndTask Class
		
 		Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
		
 ******************************************************************************/
 
#pragma once

#include <CMouseTask.h>					/* Interface for its superclass		*/
#include <CBitMap.h>
#include "CImgWndPane.h"
#include "LongQD.h"

struct CImgWndTask : CMouseTask {

	CImgWndPane	*itsPane;
	CBitMap		*itsBitMap;
	CBitMap		*itsUndoBits;

	void		IImgWndTask(short aNameIndex, CImgWndPane *aPane, CBitMap *aBitMap);
	void		Dispose(void);
	
	void		Undo(void);
	void		SaveForUndo(LongRect *undoRect);
};