/******************************************************************************
 ArtClassCmds.h

		Commands implemented by the ArtClass Application
		
		Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/
 
#define _H_ArtClassCmds

#define		MENUtext		100			/* MENU Resource ID's				*/
#define		MENUtools		101
#define		MENUpatterns	102
#define		MENUlines		103
#define		MENUstyle		12

#define		cmdFontMenu		1100		/* Hierarchical menu titles			*/
#define		cmdSizeMenu		1101

#define		cmdLineNone		2000		/* Line sizes						*/
#define		cmdLineOne		2001
#define		cmdLineTwo		2002
#define		cmdLineThree	2003
#define		cmdLineFour		2004

#define		cmdOne			10001L		/* Test command one					*/
#define		cmdTwo			10002L		/* Test command two					*/
#define		cmdThree		10003L		/* Test command three				*/

enum PaintTools {
	toolSELECT = 1,
	toolBRUSH,
	toolPENCIL,
	toolERASER,
	toolRECT,
	toolFILLRECT,
	toolTEXT,
	toolRRECT,
	toolFILLRRECT,
	toolLINE,
	toolOVAL,
	toolFILLOVAL
};