
/*
 *  putc.c
 *
 *  Copyright (c) 1991 Symantec Corporation.  All rights reserved.
 *
 */

#include "stdio.h"


int
fputs(register const char *s, register FILE *fp)
{
#pragma options(honor_register)
	while (*s) {
		if (putc(*s++, fp) < 0)
			return(EOF);
	}
	return(0);
}


int
puts(const char *s)
{
	if (fputs(s, stdout) < 0)
		return(EOF);
	return(putchar('\n'));
}


int
fputc(int c, FILE *fp)
{
	return(putc(c, fp));
}


int
(putc)(int c, FILE *fp)
{
	return(putc(c, fp));
}


int
(putchar)(int c)
{
	return(putchar(c));
}
