/******************************************************************************
 CMouseTask.h

		Interface for the MouseTask Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/
 
#define _H_CMouseTask

#include "CTask.h"						/* Interface for its superclass		*/

struct LongPt;

class CMouseTask : public CTask {			/* Class Declaration				*/

public:
								/** Instance Variables **/

								/** Instance Methods **/
									/** Contruction/Destruction **/
	void		IMouseTask(short aNameIndex);
	
									/** Mouse Tracking **/
	virtual void	BeginTracking(struct LongPt *startPt);
	virtual void	KeepTracking(struct LongPt *currPt, struct LongPt *prevPt, struct LongPt *startPt);
	virtual void	EndTracking(struct LongPt *currPt, struct LongPt *prevPt, struct LongPt *startPt);
};