/******************************************************************************
 CGridSelector.h

		Interface for the GridSelector Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/
 
#define _H_CGridSelector

#include "CSelector.h"					/* Interface for its superclass		*/

class CGridSelector : public CSelector {/* Class Declaration				*/

public:
								/** Instance Variables **/
	short		rows;
	short		columns;
	short		boxWidth;
	short		boxHeight;
	Boolean		gridOn;
	
								/** Instance Methods **/
	void		IGridSelector(CView *anEnclosure, CBureaucrat *aSupervisor,
								short aHEncl, short aVEncl,
								SizingOption aHSizing, SizingOption aVSizing,
								short aSelection, short aCommandBase,
								short aRows, short aColumns,
								short aBoxWidth, short aBoxHeight);

	virtual void		Draw(Rect *area);
	virtual void		HiliteItem(short theItem, HiliteState state);
	virtual short		FindItem(Point hitPt);
	
	virtual void		DrawGrid(void);
	virtual void		DrawItem(short theItem, Rect *theBox);
	virtual void		FindItemBox(short theItem, Rect *theBox);
	virtual void		SetGridOn(Boolean aGridOn);
};