/******************************************************************************
 CPaneMDEF.h

		Interface for the PaneMDEF Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CPaneMDEF

#include "CMenuDefProc.h"				/* Interface for its superclass		*/
#include "CPane.h"
#include "CTearOffMenu.h"

class CPaneMDEF : public CMenuDefProc {		/* Class Declaration				*/

public:
								/** Instance Variables **/
	CPane			*itsPane;
	CTearOffMenu	*itsTearOffMenu;
	GrafPtr			savePort;
	RgnHandle		saveClip;
	
								/** Instance Methods **/
	void		IPaneMDEF(short MDEFid, CPane *aPane,
							CTearOffMenu *aTearOffMenu);

	virtual void		DrawMenu(MenuHandle macMenu, Rect *menuRect);
	virtual void		SizeMenu(MenuHandle macMenu);

	virtual void		TearOffMenu(Rect *menuRect, Point mouseLoc);
	virtual Boolean		PtInTearRgn(Point hitPt, Rect *menuRect);
	
	virtual void		SetupQuickDraw(Rect *menuRect);
	virtual void		RestoreQuickDraw(void);
};