/******************************************************************************
 WindoidWDEF.h

		Interface for the WindoidWDEF Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.

 ******************************************************************************/
 
#define _H_WindoidWDEF

		/*** Function Declarations ***/

	void		DrawFrame(short varCode, WindowPeek macWindow);
	void		ToggleCloseBox(short varCode, WindowPeek macWindow);
	short		FindPart(short varCode, WindowPeek macWindow, long location);
	void		BuildRegions(short varCode, WindowPeek macWindow);
	void		GetDragBar(short varCode, WindowPeek macWindow, Rect *dragBar);
	void		GetCloseBox(short varCode, Rect *dragBar, Rect *closeBox);
	

		/*** Macros ***/
										/* Efficient C versions of HiWord	*/
										/*   and LoWord Traps				*/
#define		HiShort(longNum)	(short)(((longNum) >> 16) & 0xFFFF)
#define		LoShort(longNum)	(short)((longNum) & 0xFFFF)
