/******************************************************************************
 CResFile.h

		Interface for the ResFile Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
	TCL 1.1 CHANGES
	[
		- changed interface to Open and Close because errors
		  are now signalled via the exception mechanism.
		- added HasResFork, CreateNew, Update, and IsOpen methods.
	]
		
 ******************************************************************************/
 
#define _H_CResFile

#include "CFile.h"						/* Interface for its superclass		*/

class CResFile : public CFile {				/* Class Declaration				*/

public:
								/** Instance Variables **/
	short		refNum;					/* Reference number when open		*/

								/** Instance Methods **/
									/** Contruction/Destruction **/
	void		IResFile(void);
	
	virtual void		Open(SignedByte permission);
	virtual void		Close(void);
	virtual void		MakeCurrent(void);
	virtual Boolean		IsOpen( void);
	virtual Boolean		HasResFork( void);
	virtual void		CreateNew(OSType creator, OSType fType);
	virtual void		Update( void);

};