/******************************************************************************
 CBitMapPane.h

		Interface for the BitMapPane Class
		
		Copyright  1989 Symantec Corporation. All rights reserved.
		
 ******************************************************************************/
 
#define _H_CBitMapPane

#include "CPanorama.h"					/* Interface for its superclass		*/
#include "CBitMap.h"

class CBitMapPane : public CPanorama {	/* Class Declaration				*/

public:
								
	CBitMap		*itsBitMap;


	void		IBitMapPane(CView *anEnclosure, CBureaucrat *aSupervisor,
							short aWidth, short aHeight,
							short aHEncl, short aVEncl,
							SizingOption aHSizing, SizingOption aVSizing,
							LongRect *aBounds, CBitMap *aBitMap, Boolean makePort);
							
	virtual void		Dispose(void);
	
									/** Accessing **/
	virtual void		SetBitMap(CBitMap *aBitMap);
	virtual CBitMap*	GetBitMap(void);
	
									/** Drawing **/
	virtual void		Draw(Rect *area);
};